Debian Bug report logs - #650599
snooper FTBFS: -ltermcap doesn't work

version graph

Package: snooper; Maintainer for snooper is Stefan Bauer <stefan.bauer@cubewerk.de>; Source for snooper is src:snooper.

Reported by: Steve McIntyre <steve@einval.com>

Date: Wed, 30 Nov 2011 23:57:02 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version snooper/19991202-7

Fixed in version snooper/19991202-7.1

Done: HIGUCHI Daisuke (VDR dai) <dai@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Stefan Bauer <stefan.bauer@cubewerk.de>:
Bug#650599; Package snooper. (Wed, 30 Nov 2011 23:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
New Bug report received and forwarded. Copy sent to Stefan Bauer <stefan.bauer@cubewerk.de>. (Wed, 30 Nov 2011 23:57:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: snooper FTBFS: -ltermcap doesn't work
Date: Wed, 30 Nov 2011 23:52:59 +0000
Package: snooper
Version: 19991202-7
Severity: serious
Tags: sid

Hi,

snooper FTBFS in a current sid system. Build logs for armhf [1] and
s390x [2] show this easily, but it's not limited to these new
architectures. Building on amd64 shows the same problem, failure to
link due to missing functions:

cc -o snooper main.o scrn.o log.o binlog.o uucplock.o -ltermcap  -llockdev
main.o: In function `showstatus':
/home/steve/build/snooper-19991202/build/../src/main.c:257: undefined reference to `wmove'
/home/steve/build/snooper-19991202/build/../src/main.c:258: undefined reference to `wclrtoeol'
/home/steve/build/snooper-19991202/build/../src/main.c:259: undefined reference to `waddnstr'
/home/steve/build/snooper-19991202/build/../src/main.c:259: undefined reference to `waddch'
/home/steve/build/snooper-19991202/build/../src/main.c:260: undefined reference to `waddnstr'
...

Looks like libncurses doesn't provide libtermcap any more. Whether
that's a bug in snooper or over there, I've no idea.

-- System Information:
Debian Release: 6.0.3
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Stefan Bauer <stefan.bauer@cubewerk.de>:
Bug#650599; Package snooper. (Thu, 01 Dec 2011 00:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Stefan Bauer <stefan.bauer@cubewerk.de>. (Thu, 01 Dec 2011 00:03:03 GMT) Full text and rfc822 format available.

Message #10 received at 650599@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: 650599@bugs.debian.org
Subject: Re: snooper FTBFS: -ltermcap doesn't work
Date: Thu, 1 Dec 2011 00:00:45 +0000
On Wed, Nov 30, 2011 at 11:52:59PM +0000, Steve McIntyre wrote:
>Package: snooper
>Version: 19991202-7
>Severity: serious
>Tags: sid
>
>Hi,
>
>snooper FTBFS in a current sid system. Build logs for armhf [1] and
>s390x [2] show this easily, but it's not limited to these new
>architectures. Building on amd64 shows the same problem, failure to
>link due to missing functions:
>
>cc -o snooper main.o scrn.o log.o binlog.o uucplock.o -ltermcap  -llockdev
>main.o: In function `showstatus':
>/home/steve/build/snooper-19991202/build/../src/main.c:257: undefined reference to `wmove'
>/home/steve/build/snooper-19991202/build/../src/main.c:258: undefined reference to `wclrtoeol'
>/home/steve/build/snooper-19991202/build/../src/main.c:259: undefined reference to `waddnstr'
>/home/steve/build/snooper-19991202/build/../src/main.c:259: undefined reference to `waddch'
>/home/steve/build/snooper-19991202/build/../src/main.c:260: undefined reference to `waddnstr'
>...
>
>Looks like libncurses doesn't provide libtermcap any more. Whether
>that's a bug in snooper or over there, I've no idea.

Forgot to include the links:

[1] https://buildd.debian.org/status/fetch.php?pkg=snooper&arch=armhf&ver=19991202-7&stamp=1322542892
[2] https://buildd.debian.org/status/fetch.php?pkg=snooper&arch=s390x&ver=19991202-7&stamp=1322478659

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
You raise the blade, you make the change... You re-arrange me 'til I'm sane...





Information forwarded to debian-bugs-dist@lists.debian.org, Stefan Bauer <stefan.bauer@cubewerk.de>:
Bug#650599; Package snooper. (Thu, 01 Dec 2011 16:57:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Stefan Bauer <stefan.bauer@cubewerk.de>. (Thu, 01 Dec 2011 16:57:10 GMT) Full text and rfc822 format available.

Message #15 received at 650599@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Steve McIntyre <steve@einval.com>
Cc: 650599@bugs.debian.org
Subject: Re: Bug#650599: snooper FTBFS: -ltermcap doesn't work
Date: Thu, 01 Dec 2011 17:53:52 +0100
tags 650599 + wheezy
thanks

On 2011-12-01 00:52 +0100, Steve McIntyre wrote:

> Package: snooper
> Version: 19991202-7
> Severity: serious
> Tags: sid
>
> Hi,
>
> snooper FTBFS in a current sid system. Build logs for armhf [1] and
> s390x [2] show this easily, but it's not limited to these new
> architectures. Building on amd64 shows the same problem, failure to
> link due to missing functions:
>
> cc -o snooper main.o scrn.o log.o binlog.o uucplock.o -ltermcap  -llockdev
> main.o: In function `showstatus':
> /home/steve/build/snooper-19991202/build/../src/main.c:257: undefined reference to `wmove'
> /home/steve/build/snooper-19991202/build/../src/main.c:258: undefined reference to `wclrtoeol'
> /home/steve/build/snooper-19991202/build/../src/main.c:259: undefined reference to `waddnstr'
> /home/steve/build/snooper-19991202/build/../src/main.c:259: undefined reference to `waddch'
> /home/steve/build/snooper-19991202/build/../src/main.c:260: undefined reference to `waddnstr'
> ...
>
> Looks like libncurses doesn't provide libtermcap any more.

It still does, but libtermcap is now an alias for libtinfo rather than
libncurses.  See #644426.

> Whether that's a bug in snooper or over there, I've no idea.

It's a bug in the snooper configure script.  Applying the following
patch: 

--8<---------------cut here---------------start------------->8---
--- a/build/configure.in	1998-02-23 15:18:30.000000000 +0100
+++ b/build/configure.in	2011-12-01 17:47:44.690566152 +0100
@@ -29,7 +29,7 @@
 
 dnl Checks for libraries.
 AC_CHECK_LIB(termcap, tgetstr)
-AC_CHECK_LIB(curses, initscr,,, -termcap)
+AC_CHECK_LIB(curses, initscr)
 
 dnl Check to see if it's going to work.
 AM_SANITY_CHECK_CC
--8<---------------cut here---------------end--------------->8---

and running autoconf in the build/ directory fixes it.

Cheers,
       Sven




Added tag(s) wheezy. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Thu, 01 Dec 2011 16:57:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Stefan Bauer <stefan.bauer@cubewerk.de>:
Bug#650599; Package snooper. (Sat, 31 Dec 2011 21:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <peter.green@postgrad.manchester.ac.uk>:
Extra info received and forwarded to list. Copy sent to Stefan Bauer <stefan.bauer@cubewerk.de>. (Sat, 31 Dec 2011 21:57:03 GMT) Full text and rfc822 format available.

Message #22 received at 650599@bugs.debian.org (full text, mbox):

From: peter green <peter.green@postgrad.manchester.ac.uk>
To: 650599@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#650599: snooper FTBFS: -ltermcap doesn't work
Date: Sat, 31 Dec 2011 21:53:20 +0000
[Message part 1 (text/plain, inline)]
tags 650599 +patch
thanks
> It's a bug in the snooper configure script.  Applying the following
> patch: 
>
> --8<---------------cut here---------------start------------->8---
> --- a/build/configure.in	1998-02-23 15:18:30.000000000 +0100
> +++ b/build/configure.in	2011-12-01 17:47:44.690566152 +0100
> @@ -29,7 +29,7 @@
>  
>  dnl Checks for libraries.
>  AC_CHECK_LIB(termcap, tgetstr)
> -AC_CHECK_LIB(curses, initscr,,, -termcap)
> +AC_CHECK_LIB(curses, initscr)
>  
>  dnl Check to see if it's going to work.
>  AM_SANITY_CHECK_CC
> --8<---------------cut here---------------end--------------->8---
>
> and running autoconf in the build/ directory fixes it.
>   
I've made this change, run autoconf2.13 (the closest version to the one used
previously that we have in debian to minimise noise in the patch) and 
turned
the result into a patch suitable for adding to the quilt series.


[07_fix_ncurses_linkage.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from peter green <peter.green@postgrad.manchester.ac.uk> to control@bugs.debian.org. (Sat, 31 Dec 2011 21:57:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Stefan Bauer <stefan.bauer@cubewerk.de>:
Bug#650599; Package snooper. (Mon, 09 Jan 2012 09:37:37 GMT) Full text and rfc822 format available.

Acknowledgement sent to dai@debian.org:
Extra info received and forwarded to list. Copy sent to Stefan Bauer <stefan.bauer@cubewerk.de>. (Mon, 09 Jan 2012 09:37:41 GMT) Full text and rfc822 format available.

Message #29 received at 650599@bugs.debian.org (full text, mbox):

From: dai@debian.org
To: 650599@bugs.debian.org
Subject: snooper: diff for NMU version 19991202-7.1
Date: Mon, 9 Jan 2012 18:15:07 +0900
[Message part 1 (text/plain, inline)]
tags 650599 + pending
thanks

Dear maintainer,

I've prepared an NMU for snooper (versioned as 19991202-7.1) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.
-- 
Regards,
	dai

GPG Fingerprint = 0B29 D88E 42E6 B765 B8D8 EA50 7839 619D D439 668E
[snooper-19991202-7.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from dai@debian.org to control@bugs.debian.org. (Mon, 09 Jan 2012 09:38:59 GMT) Full text and rfc822 format available.

Reply sent to HIGUCHI Daisuke (VDR dai) <dai@debian.org>:
You have taken responsibility. (Wed, 11 Jan 2012 09:51:44 GMT) Full text and rfc822 format available.

Notification sent to Steve McIntyre <steve@einval.com>:
Bug acknowledged by developer. (Wed, 11 Jan 2012 09:52:00 GMT) Full text and rfc822 format available.

Message #36 received at 650599-close@bugs.debian.org (full text, mbox):

From: HIGUCHI Daisuke (VDR dai) <dai@debian.org>
To: 650599-close@bugs.debian.org
Subject: Bug#650599: fixed in snooper 19991202-7.1
Date: Wed, 11 Jan 2012 09:49:51 +0000
Source: snooper
Source-Version: 19991202-7.1

We believe that the bug you reported is fixed in the latest version of
snooper, which is due to be installed in the Debian FTP archive:

snooper_19991202-7.1.diff.gz
  to main/s/snooper/snooper_19991202-7.1.diff.gz
snooper_19991202-7.1.dsc
  to main/s/snooper/snooper_19991202-7.1.dsc
snooper_19991202-7.1_amd64.deb
  to main/s/snooper/snooper_19991202-7.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 650599@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
HIGUCHI Daisuke (VDR dai) <dai@debian.org> (supplier of updated snooper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 09 Jan 2012 18:09:12 +0900
Source: snooper
Binary: snooper
Architecture: source amd64
Version: 19991202-7.1
Distribution: unstable
Urgency: low
Maintainer: Stefan Bauer <stefan.bauer@cubewerk.de>
Changed-By: HIGUCHI Daisuke (VDR dai) <dai@debian.org>
Description: 
 snooper    - Captures communication between two external serial devices
Closes: 650599
Changes: 
 snooper (19991202-7.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * FTBFS: -ltermcap doesn't work (Closes: #650599)
     - debian/patches/07_fix_ncurses_linkage.diff
       thanks to peter green <peter.green@postgrad.manchester.ac.uk>
Checksums-Sha1: 
 f9d5cb74e8a2b7b44495a687b0fba5de78d0da7c 1735 snooper_19991202-7.1.dsc
 dec6528538a5d30e9240aa999d55117251150dc2 15808 snooper_19991202-7.1.diff.gz
 bcb3fa063009fbd31486b4cad800d0bda8e5026d 19660 snooper_19991202-7.1_amd64.deb
Checksums-Sha256: 
 ce6a3507e6aa751bab1f4ff9f5b8b38f42f4400cdfeea9085ccb252e96445cc4 1735 snooper_19991202-7.1.dsc
 9f4f4493a4c7f308646d5d2992faaa6cf9288e3c24b6ca6a8938b55402dbb352 15808 snooper_19991202-7.1.diff.gz
 a50831dfb8b85723a2f2b2a3a30800f5ce66dd4e19ef0e5ebacf9d54e2e32f08 19660 snooper_19991202-7.1_amd64.deb
Files: 
 d35cde6deaaedbc771ffd47432a28095 1735 comm optional snooper_19991202-7.1.dsc
 dfe09cd55e1bf35687e7d40347c57ffb 15808 comm optional snooper_19991202-7.1.diff.gz
 e9fe120f430d0cc57eee384d3b20e28b 19660 comm optional snooper_19991202-7.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJPCq/KAAoJEHg5YZ3UOWaO5PcP/3Pf6JLnUx1uf/O3Mqz6daW5
jwkrHywtJnLrvoCPzNXOTM3lWitghnjHcTRCnbtuA6bnaX+rnlyBJYEgeIeyf7cc
Bjy7zbKvvJrVy2WA+MK56IKkMpVX7ERtE/PdYKEd6CyyhLUnZSKwpu/sr8+KQtbw
qG7+GMVmCuHbTJaFatTL7mY0ObDNlr4SFq5n4fESAYAVVCpn2awwsd7/4UCSzgGi
5r4mBS/hYRi81PHcYD8ixn1EVtK+fHph3xmOj7+5JAjYzh7T//jvnyOrezmOHYj3
4Zf1g4Tt0VKi6Dy2hj7anz/EfBBBi2dsqJNtZBvyi7Ayk8OuLv8X0CYR2dLeMGSX
PC3UZxgT/s/d75kNKdogzoTmkCy5rMej4jt8rXtZfS3zJCgqob9xqeIOkNA7EKjO
WTq3xbpJ9LHDZ3Y2KrNx2Qi5fog91hIbyA4zlK5C8iXwheFjgY7CvUpO64k9aQtG
JsdidxeIeFWWW4yI9cfShPg6b10497mmuTq1qhwpPKKEQJW/tpKclVRyHXHdddT5
X9BvLtKJvDah9rMQ9i29FD+sAofdHPQkYzgsWnLYzVP4a23p39PY5ibZ1eGglvbm
IMxV4fn3kU1eqViPycJSlqOeAHYUBpbqsIruhYaN8qZgM6FKbx49x7buU95GYaFR
DCMXBxVmhZq6vXcy4gqZ
=Gai0
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Mar 2012 09:53:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 05:32:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.